package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.IndexPartnerConfigMapper;
import com.ruoyi.model.domain.IndexPartnerConfig;
import com.ruoyi.model.service.IIndexPartnerConfigService;

/**
 * 加入合伙人提示配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
@Service
public class IndexPartnerConfigServiceImpl implements IIndexPartnerConfigService 
{
    @Autowired
    private IndexPartnerConfigMapper indexPartnerConfigMapper;

    /**
     * 查询加入合伙人提示配置
     * 
     * @param partnerBackground 加入合伙人提示配置主键
     * @return 加入合伙人提示配置
     */
    @Override
    public IndexPartnerConfig selectIndexPartnerConfigByPartnerBackground(String partnerBackground)
    {
        return indexPartnerConfigMapper.selectIndexPartnerConfigByPartnerBackground(partnerBackground);
    }

    /**
     * 查询加入合伙人提示配置列表
     * 
     * @param indexPartnerConfig 加入合伙人提示配置
     * @return 加入合伙人提示配置
     */
    @Override
    public List<IndexPartnerConfig> selectIndexPartnerConfigList(IndexPartnerConfig indexPartnerConfig)
    {
        return indexPartnerConfigMapper.selectIndexPartnerConfigList(indexPartnerConfig);
    }

    /**
     * 新增加入合伙人提示配置
     * 
     * @param indexPartnerConfig 加入合伙人提示配置
     * @return 结果
     */
    @Override
    public int insertIndexPartnerConfig(IndexPartnerConfig indexPartnerConfig)
    {
        return indexPartnerConfigMapper.insertIndexPartnerConfig(indexPartnerConfig);
    }

    /**
     * 修改加入合伙人提示配置
     * 
     * @param indexPartnerConfig 加入合伙人提示配置
     * @return 结果
     */
    @Override
    public int updateIndexPartnerConfig(IndexPartnerConfig indexPartnerConfig)
    {
        return indexPartnerConfigMapper.updateIndexPartnerConfig(indexPartnerConfig);
    }

    /**
     * 批量删除加入合伙人提示配置
     * 
     * @param partnerBackgrounds 需要删除的加入合伙人提示配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexPartnerConfigByPartnerBackgrounds(String[] partnerBackgrounds)
    {
        return indexPartnerConfigMapper.deleteIndexPartnerConfigByPartnerBackgrounds(partnerBackgrounds);
    }

    /**
     * 删除加入合伙人提示配置信息
     * 
     * @param partnerBackground 加入合伙人提示配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexPartnerConfigByPartnerBackground(String partnerBackground)
    {
        return indexPartnerConfigMapper.deleteIndexPartnerConfigByPartnerBackground(partnerBackground);
    }

    @Override
    public List<IndexPartnerConfig> getIndexPartnerConfigList() {
        return indexPartnerConfigMapper.getIndexPartnerConfigList();
    }
}
